-- MySQL Script generated by MySQL Workbench
-- Wed Sep 23 05:14:33 2020
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema mydb
-- -----------------------------------------------------
-- -----------------------------------------------------
-- Schema testetecnico
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema testetecnico
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `testetecnico` DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci ;
-- -----------------------------------------------------
-- Schema world
-- -----------------------------------------------------
USE `testetecnico` ;

-- -----------------------------------------------------
-- Table `testetecnico`.`especies`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `testetecnico`.`especies` (
  `EspeciesId` INT NOT NULL AUTO_INCREMENT,
  `Descricao` VARCHAR(256) CHARACTER SET 'utf8' NOT NULL,
  PRIMARY KEY (`EspeciesId`))
ENGINE = InnoDB
AUTO_INCREMENT = 8
DEFAULT CHARACTER SET = utf8mb4
COLLATE = utf8mb4_0900_ai_ci;


-- -----------------------------------------------------
-- Table `testetecnico`.`arvores`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `testetecnico`.`arvores` (
  `ArvoresId` INT NOT NULL AUTO_INCREMENT,
  `Descricao` VARCHAR(256) CHARACTER SET 'utf8' NOT NULL,
  `Idade` INT NOT NULL,
  `EspeciesId` INT NOT NULL,
  PRIMARY KEY (`ArvoresId`),
  INDEX `FK_Arvores_Especies_EspeciesId` (`EspeciesId` ASC) VISIBLE,
  CONSTRAINT `FK_Arvores_Especies_EspeciesId`
    FOREIGN KEY (`EspeciesId`)
    REFERENCES `testetecnico`.`especies` (`EspeciesId`)
    ON DELETE CASCADE
    ON UPDATE CASCADE)
ENGINE = InnoDB
AUTO_INCREMENT = 13
DEFAULT CHARACTER SET = utf8mb4
COLLATE = utf8mb4_0900_ai_ci;


-- -----------------------------------------------------
-- Table `testetecnico`.`grupoarvore`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `testetecnico`.`grupoarvore` (
  `GrupoArvoreId` INT NOT NULL AUTO_INCREMENT,
  `Nome` VARCHAR(256) CHARACTER SET 'utf8' NOT NULL,
  `Descricao` VARCHAR(256) CHARACTER SET 'utf8' NOT NULL,
  PRIMARY KEY (`GrupoArvoreId`))
ENGINE = InnoDB
AUTO_INCREMENT = 7
DEFAULT CHARACTER SET = utf8mb4
COLLATE = utf8mb4_0900_ai_ci;


-- -----------------------------------------------------
-- Table `testetecnico`.`arvoregrupoarvore`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `testetecnico`.`arvoregrupoarvore` (
  `ArvoreGrupoArvoreId` INT NOT NULL AUTO_INCREMENT,
  `ArvoresId` INT NOT NULL,
  `GrupoArvoreId` INT NOT NULL,
  PRIMARY KEY (`ArvoreGrupoArvoreId`),
  INDEX `FK_ArvoreGrupoArvore_Arvores_ArvoresId` (`ArvoresId` ASC) VISIBLE,
  INDEX `FK_ArvoreGrupoArvore_GrupoArvore_GrupoArvoreId` (`GrupoArvoreId` ASC) VISIBLE,
  CONSTRAINT `FK_ArvoreGrupoArvore_Arvores_ArvoresId`
    FOREIGN KEY (`ArvoresId`)
    REFERENCES `testetecnico`.`arvores` (`ArvoresId`)
    ON DELETE CASCADE
    ON UPDATE CASCADE,
  CONSTRAINT `FK_ArvoreGrupoArvore_GrupoArvore_GrupoArvoreId`
    FOREIGN KEY (`GrupoArvoreId`)
    REFERENCES `testetecnico`.`grupoarvore` (`GrupoArvoreId`)
    ON DELETE CASCADE
    ON UPDATE CASCADE)
ENGINE = InnoDB
AUTO_INCREMENT = 29
DEFAULT CHARACTER SET = utf8mb4
COLLATE = utf8mb4_0900_ai_ci;


-- -----------------------------------------------------
-- Table `testetecnico`.`colheita`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `testetecnico`.`colheita` (
  `ColheitaId` INT NOT NULL AUTO_INCREMENT,
  `Informacoes` VARCHAR(256) CHARACTER SET 'utf8' NOT NULL,
  `DataDaColheita` DATETIME NOT NULL,
  `PesoBruto` DOUBLE NOT NULL,
  `ArvoresId` INT NOT NULL,
  PRIMARY KEY (`ColheitaId`),
  INDEX `FK_Colheita_Arvores_ArvoresId` (`ArvoresId` ASC) VISIBLE,
  CONSTRAINT `FK_Colheita_Arvores_ArvoresId`
    FOREIGN KEY (`ArvoresId`)
    REFERENCES `testetecnico`.`arvores` (`ArvoresId`)
    ON DELETE CASCADE
    ON UPDATE CASCADE)
ENGINE = InnoDB
AUTO_INCREMENT = 3
DEFAULT CHARACTER SET = utf8mb4
COLLATE = utf8mb4_0900_ai_ci;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
